export * from "./animation";
export * from "./breakpoints";
export * from "./palette";
export * from "./size";
export * from "./space";
export declare const palette: {
    background: {
        textInput: string;
        radioChecked: string;
        checkboxChecked: string;
        buttonPrimary: string;
        buttonPrimaryHover: string;
        buttonSecondary: string;
        buttonSecondaryHover: string;
        primary: string;
        inverse: string;
        checkableChecked: string;
        ctaPrimary: string;
        ctaPrimaryHover: string;
        ctaSecondary: string;
        ctaSecondaryHover: string;
    };
    border: {
        textInput: string;
        textInputError: string;
        radio: string;
        radioHover: string;
        radioError: string;
        choiceCard: string;
        choiceCardHover: string;
        choiceCardChecked: string;
        checkbox: string;
        checkboxHover: string;
        checkboxChecked: string;
        checkboxError: string;
        primary: string;
        secondary: string;
        success: string;
        error: string;
        checkableChecked: string;
        checkableHover: string;
        focusHalo: string;
    };
    line: {
        primary: string;
    };
    text: {
        textInput: string;
        textInputLabel: string;
        textInputOptionalLabel: string;
        textInputSupporting: string;
        textInputError: string;
        radio: string;
        radioSupporting: string;
        linkPrimary: string;
        linkPrimaryHover: string;
        linkSecondary: string;
        linkSecondaryHover: string;
        choiceCard: string;
        choiceCardChecked: string;
        choiceCardHover: string;
        checkbox: string;
        checkboxSupporting: string;
        checkboxIndeterminate: string;
        buttonPrimary: string;
        buttonSecondary: string;
        primary: string;
        secondary: string;
        supporting: string;
        success: string;
        error: string;
        ctaPrimary: string;
        ctaSecondary: string;
        anchorPrimary: string;
        anchorSecondary: string;
    };
    brandBackground: {
        radioChecked: string;
        checkboxChecked: string;
        buttonPrimary: string;
        buttonPrimaryHover: string;
        buttonSecondary: string;
        buttonSecondaryHover: string;
        primary: string;
        checkableChecked: string;
        ctaPrimary: string;
        ctaPrimaryHover: string;
        ctaSecondary: string;
        ctaSecondaryHover: string;
    };
    brandBorder: {
        radio: string;
        radioHover: string;
        radioError: string;
        checkbox: string;
        checkboxHover: string;
        checkboxChecked: string;
        checkboxError: string;
        primary: string;
        success: string;
        error: string;
        checkableChecked: string;
        checkableHover: string;
    };
    brandLine: {
        primary: string;
    };
    brandText: {
        radio: string;
        radioSupporting: string;
        linkPrimary: string;
        linkPrimaryHover: string;
        checkbox: string;
        checkboxSupporting: string;
        checkboxIndeterminate: string;
        buttonPrimary: string;
        buttonSecondary: string;
        primary: string;
        secondary: string;
        supporting: string;
        success: string;
        error: string;
        ctaPrimary: string;
        ctaSecondary: string;
        anchorPrimary: string;
    };
    brandAltBackground: {
        buttonPrimary: string;
        buttonPrimaryHover: string;
        buttonSecondary: string;
        buttonSecondaryHover: string;
        primary: string;
        ctaPrimary: string;
        ctaPrimaryHover: string;
        ctaSecondary: string;
        ctaSecondaryHover: string;
    };
    brandAltLine: {
        primary: string;
    };
    brandAltText: {
        linkPrimary: string;
        linkPrimaryHover: string;
        buttonPrimary: string;
        buttonSecondary: string;
        primary: string;
        secondary: string;
        supporting: string;
        ctaPrimary: string;
        ctaSecondary: string;
        anchorPrimary: string;
    };
    brand: {
        100: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    brandAlt: {
        200: string;
        300: string;
        400: string;
        dark: string;
        main: string;
    };
    brandYellow: {
        200: string;
        300: string;
        400: string;
        dark: string;
        main: string;
    };
    neutral: {
        0: string;
        7: string;
        10: string;
        20: string;
        46: string;
        60: string;
        86: string;
        93: string;
        97: string;
        100: string;
    };
    error: {
        400: string;
        500: string;
        main: string;
        bright: string;
    };
    success: {
        400: string;
        main: string;
    };
    news: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    opinion: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    sport: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    culture: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    lifestyle: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        800: string;
        dark: string;
        main: string;
        bright: string;
        pastel: string;
        faded: string;
    };
    labs: {
        200: string;
        300: string;
        400: string;
        dark: string;
        main: string;
    };
};
